/*
 * freemodule.c --- Free's the Comtrol Rocketport module to be uninstalled
 * of the use count gets stuck at a non-zero value.
 *
 * Written by Kurt Robideau 2003
 */

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>

#define RCKP_RESET_USE_COUNT	0x00525007

int main(int argc, char **argv)
{
	int fd, ret;

	//  Open ttyR0 to get at the driver
	fd = open("/dev/ttyR0", O_RDONLY);
	if (fd < 0) {
		perror("/dev/ttyR0");
		exit(1);
	}
	
	
	ret = ioctl(fd, RCKP_RESET_USE_COUNT, NULL);
	if (ret < 0) {
		perror("Invalid IOCTL sent to driver");
		close(fd);
		return;
	}
	printf("Module freed, it can be un-installed now \n");
	close(fd);
}
